local addonName, XUB = ...;

function XUB_RemoveButtons()

	local myUnit
	for i=1,#XUB.UPDATEUNITS do
		myUnit = XUB.UPDATEUNITS[i];
		XUB_RemoveButtons_for_SingleUnit(myUnit,"delete_all")
	end

	XUB.UPDATEUNITS = {}
	XUB.ButtonQueue = {}
	--XUB.Buttons_for_Dest = {}
	XUB.Coords_for_Next_Button = {}
end

function XUB_RemoveButtons_for_SingleUnit(aUnit, myDeleteAll)

	--XUB_ShowDebugMessage( "XUB-debug: REMOVING buttons for " .. CCC(aUnit));
	local j=1
	local aButton = getglobal(XUB_GenerateButtonName(aUnit,j));
	while ( aButton ) do        						--search via DESTINATION UNIT
		--XUB_ShowMessage( "XUB-debug: REMOVING '" .. XUB_GenerateButtonName(aUnit,j) .. "'");
		aButton.isActive=0;
		aButton:Disable();
		aButton:Hide();

		j = j + 1;
		aButton = getglobal(XUB_GenerateButtonName(aUnit,j));
	end
	XUB.Buttons_for_Dest[aUnit] = nil;
	XUB.Coords_for_Next_Button[aUnit] = nil;

	j=1
	while ( XUB.ButtonQueue[j] ) do       --search via BAR/Frame attached to
		if XUB.ButtonQueue[j].Bar == aUnit then
			XUB.ButtonQueue[j].isActive=0;
			XUB.ButtonQueue[j]:Disable();
			XUB.ButtonQueue[j]:Hide();
			table.remove(XUB.ButtonQueue, j)
		else
			j = j + 1;
		end
	end
	
	if myDeleteAll then
		return
	end

--  remove the unit from the XUB.UPDATEUNITS
	local j=1
	while ( XUB.UPDATEUNITS[j] ) do
			if XUB.UPDATEUNITS[j] == aUnit then
				table.remove(XUB.UPDATEUNITS, j)
			else
				j = j + 1;
			end
	end
end
